{$U-}
{$R-}
unit Init(50);

interface
uses
    MemTypes, Quickdraw, OSIntf, ToolIntf,MacPrint,PackIntf,FixMath,Graf3D,
	   Globals, Utilities,Routines,ThreeD,interf;
	

 
procedure SetUpCursors;
procedure SetUpContour;
procedure SetupContourMenus;

implementation

procedure SetUpCursors;
begin
    Watch := GetCursor(WatchCursor);
    Zorro := GetCursor(ZorroID);

    InitCursor;
end;


procedure SetUpContour;
var
    i : integer;
begin

  
{ Initialize the patterns from the system resource file }

    getIndPattern(patList[1], SysPatListID, 20);		{ white }
    getIndPattern(patList[2], SysPatListID, 13);
    getIndPattern(patList[3], SysPatListID, 21);
    getIndPattern(patList[4], SysPatListID, 22);
    getIndPattern(patList[5], SysPatListID, 23);
    getIndPattern(patList[6], SysPatListID, 4);
    getIndPattern(patList[7], SysPatListID, 3);
    getIndPattern(patList[8], SysPatListID, 2);
    StuffHex(@patList[9], '7FFFFFFFFFFFFFFF');
    getIndPattern(patList[10], SysPatListID, 1);		{ black }

    for i := 1 to maxWindows do begin
        secondTime[i] := false;
        shadeSurface[i] := false;
        gridOn[i] := false;
        selection[i] := false;
    end;
 end;


procedure SetupContourMenus;
begin
    EnableItem(FileMenu,2);
    EnableItem(FileMenu,3);
    EnableItem(FileMenu,4);
    PlotMenu := GetMenu(PlotMenuID);
    InsertMenu(PlotMenu, 0);

    GoodiesMenu := GetMenu(GoodiesMenuID);
    InsertMenu(GoodiesMenu, 0);
    CheckItem(PlotMenu,1,true);
    DisableItem(GoodiesMenu,1);
    DisableItem(GoodiesMenu,2);
    DisableItem(PlotMenu,3);

    DrawMenuBar;
end;

end.
